#include "ttl_p.h"
#include <shlwapi.h>
#pragma comment( lib, "psdk\shlwapi.lib" )

namespace TtPath {
  // Ȃ
  bool file_exists(   const char *path ) { return PathFileExists( path ); }
  bool is_directory(  const char *path ) { return PathIsDirectory( path ); }
  bool is_file_spec(  const char *path ) { return PathIsFileSpec( path ); }
  bool is_relative(   const char *path ) { return PathIsRelative( path ); }
  bool is_rooted(     const char *path ) { return PathIsRoot( path ); }

  bool match_spec( const char *path, const char *match ) {
    return PathMatchSpec( path, match );
  }

  // Ȃ
  char *find_extension( char *path ) { return PathFindExtension( path ); }
  char *find_file_name( char *path ) { return PathFindFileName( path ); }

  // ҏWȂ
  void edit_path( char *target, bool f_drive, bool f_dir, bool f_fname, bool f_ext ) {
    char drive[MAX_PATH], dir[MAX_PATH], fname[MAX_PATH], ext[MAX_PATH];

    _splitpath( target, drive, dir, fname, ext );
    target[0] = '\0';
    sprintf( target, "%s%s%s%s",
             f_drive ? drive : "",
             f_dir   ? dir   : "",
             f_fname ? fname : "",
             f_ext   ? ext   : "" );
  }

  bool compact_path( char *dest, const char *src, int max ) {
    return PathCompactPathEx( dest, src, max, '\\' );
  }

  void quote_if_has_spaces( char *path ) {
    return PathQuoteSpaces( path );
  }

  
  // 擾Ȃ
  void get_exec_file_name( char *buf, int max ) { GetModuleFileName( NULL, buf, max ); }
  bool get_expand_path( const char *path, char *buf, int buf_size ) {
    return PathSearchAndQualify( path, buf, buf_size );
  }

}
