#include "ttl.h"
#include <stdio.h>
#include <memory>

int main()
{
  TtIniFile *ini = new TtIniFile();

  std::auto_ptr<TtIniSection> section( ini->get_section( "Test" ) );

  printf( "[%s]\n", section->get_name() );
  printf( "Int : %d\n", section->get_int( "Int" ) );
  char str[1024];
  section->get_str( "Str", str, 1024 );
  printf( "Str : %s\n", str );

  section->set_int( "Int", 12345 );
  section->set_str( "Str", "TTL is TEKITO- Tiny Library." );
  
  ini->flush();
  
  return 0;
}
