#include "ttl_p.h"

DWORD  TtProgress::get_ex_style()   { return 0; }
DWORD  TtProgress::get_style()      { return 0; }
PCTSTR TtProgress::get_class_name() { return PROGRESS_CLASS; }

int TtProgress::get_max() {
  return SendMessage( this->h_wnd, PBM_GETRANGE, 0, 0 );
}

int TtProgress::get_amount() {
  return SendMessage( this->h_wnd, PBM_GETPOS, 0, 0 );
}


int TtProgress::set_max( int max ) {
  return SendMessage( this->h_wnd, PBM_SETRANGE, 0, ( max & 0x0000FFFF ) << 16 );
}

int TtProgress::set_step( int step ) {
  return SendMessage( this->h_wnd, PBM_SETSTEP, step, 0 );
}

int TtProgress::set_amount( int position ) {
  return SendMessage( this->h_wnd, PBM_SETPOS, position, 0 );
}


int TtProgress::step_up( int amount ) {
  return SendMessage( this->h_wnd, PBM_DELTAPOS, amount, 0 );
}

int TtProgress::step_it() {
  return SendMessage( this->h_wnd, PBM_STEPIT, 0, 0 );
}
