#include "ttl_p.h"

DWORD  TtTrack::get_style()      { return TBS_AUTOTICKS; }
DWORD  TtTrack::get_ex_style()   { return 0; }
PCTSTR TtTrack::get_class_name() { return TRACKBAR_CLASS; }

DWORD  TtTrackV::get_style()      { return TBS_VERT | TBS_AUTOTICKS; }
DWORD  TtTrackH::get_style()      { return TBS_HORZ | TBS_AUTOTICKS; }


LRESULT TtTrack::wm_vscroll_recved( int code, int position, HWND h_wnd ) {
  code; position; h_wnd; // x}~̈
  return TtWindow::MSG_DEFAULT;
}

LRESULT TtTrack::wm_hscroll_recved( int code, int position, HWND h_wnd ) {
  code; position; h_wnd; // x}~̈
  return TtWindow::MSG_DEFAULT;
}

int  TtTrack::get_track_position() {
  return SendMessage( this->h_wnd, TBM_GETPOS, 0, 0 );
}
void TtTrack::set_track_position( int position ) {
  SendMessage( this->h_wnd, TBM_SETPOS, TRUE, position );
}

int TtTrack::get_min() {
  return SendMessage( this->h_wnd, TBM_GETRANGEMIN, 0, 0 );
}

void TtTrack::set_min( int min ) {
  SendMessage( this->h_wnd, TBM_SETRANGEMIN, TRUE, min );
}

int TtTrack::get_max() {
  return SendMessage( this->h_wnd, TBM_GETRANGEMAX, 0, 0 );
}

void TtTrack::set_max( int max ) {
  SendMessage( this->h_wnd, TBM_SETRANGEMAX, TRUE, max );
}

void TtTrack::set_range( int min, int max ) {
  this->set_min( min );
  this->set_max( max );
}

int TtTrack::get_page_size() {
  return SendMessage( this->h_wnd, TBM_GETPAGESIZE, 0, 0 );
}

void TtTrack::set_page_size( int page_size ) {
  SendMessage( this->h_wnd, TBM_SETPAGESIZE, 0, page_size );
}

int TtTrack::get_line_size() {
  return SendMessage( this->h_wnd, TBM_GETLINESIZE, 0, 0 );
}

void TtTrack::set_line_size( int line_size ) {
  SendMessage( this->h_wnd, TBM_SETLINESIZE, 0, line_size );
}

void TtTrack::set_tic_frequency( int frequency ) {
  SendMessage( this->h_wnd, TBM_SETTICFREQ, frequency, 0 );
}

void TtTrack::clear_tic() {
  SendMessage( this->h_wnd, TBM_CLEARTICS, TRUE, 0 );
}
