#include "ttl_p.h"

DWORD  TtTreeView::get_ex_style()   { return WS_EX_CLIENTEDGE; }
DWORD  TtTreeView::get_style()      { return
  TVS_DISABLEDRAGDROP | TVS_HASLINES | TVS_HASBUTTONS | TVS_SHOWSELALWAYS;
}
PCTSTR TtTreeView::get_class_name() { return WC_TREEVIEW; }


TtTreeView::TtTreeView() {
  this->root = new TtTreeItem( this );
  this->root->substance->item.hItem = TreeView_GetRoot( this->h_wnd );
}

TtTreeView::~TtTreeView() {
  delete this->root;
}

TtTreeItem *TtTreeView::get_root() {
  return this->root;
}

TtTreeItem *TtTreeView::get_selected() {
  return this->root->find_descendant( TreeView_GetSelection( this->h_wnd ) );
}

TtTreeItem *TtTreeView::get_drop_hilight() {
  return this->root->find_descendant( TreeView_GetDropHilight( this->h_wnd ) );
}


int TtTreeView::get_count() {
  return TreeView_GetCount( this->h_wnd );
}

int TtTreeView::get_visible_count() {
  return TreeView_GetVisibleCount( this->h_wnd );
}

void TtTreeView::set_image_list( HIMAGELIST himl ) {
  TreeView_SetImageList( this->h_wnd, himl, TVSIL_NORMAL );
}

void TtTreeView::set_image_list_state( HIMAGELIST himl ) {
  TreeView_SetImageList( this->h_wnd, himl, TVSIL_STATE );
}
